<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 
$thumb_width = "130"; //썸네일 가로길이
$thumb_height = "85"; //썸네일 세로길이
$thumb_quality = "100"; //퀼리티 100이하로 설정
$list_content = "190"; //내용길이
$colspan = 5;
if (!function_exists("imagecopyresampled")) alert("GD 2.0.1 이상 버전이 설치되어 있어야 사용할 수 있는 갤러리 게시판 입니다.");

?>
<table width=100% border=0 cellpadding=0 cellspacing=0>
<!-- 목록 -->
<? for ($i=0; $i<count($list); $i++) { ?>
<?
$data_path = $g4[path].'/data/file/'.$list[$i][bo_table];
$thumb_path = $data_path.'/thumb';

@mkdir($thumb_path, 0707);
@chmod($thumb_path, 0707);
//썸네일 생성
$thumfile = "";
    $thumb = $thumb_path.'/'.$list[$i][wr_id];
    // 썸네일 이미지가 존재하지 않는다면
    if (!file_exists($thumb)) {
        $file = $list[$i][file][0][path] .'/'. $list[$i][file][0][file];
        // 업로드된 파일이 이미지라면
        if (preg_match("/\.(jpg|gif|png)$/i", $file) && file_exists($file)) {
            $size = getimagesize($file);
            if ($size[2] == 1)
                $src = imagecreatefromgif($file);
            else if ($size[2] == 2)
                $src = imagecreatefromjpeg($file);
            else if ($size[2] == 3) 
                $src = imagecreatefrompng($file); 
            else
                continue;

            $rate = $thumb_width / $size[0];
            $height = (int)($size[1] * $rate);

            // 계산된 썸네일 이미지의 높이가 설정된 이미지의 높이보다 작다면
            if ($height < $thumb_height)
                // 계산된 이미지 높이로 복사본 이미지 생성
                $dst = imagecreatetruecolor($thumb_width, $height);
            else
                // 설정된 이미지 높이로 복사본 이미지 생성
                $dst = imagecreatetruecolor($thumb_width, $thumb_height);
            imagecopyresampled($dst, $src, 0, 0, 0, 0, $thumb_width, $height, $size[0], $size[1]);
            imagejpeg($dst, $thumb_path.'/'.$list[$i][wr_id], $thumb_quality);
            chmod($thumb_path.'/'.$list[$i][wr_id], 0606);
        } else { //게디터에서 삽입한 이미지 뽑자ㅠㅠ
			$edit_img = $list[$i]['wr_content'];
			if (eregi("data/cheditor4[^<>]*\.(gif|jp[e]?g|png|bmp)", $edit_img, $tmp)) { // data/cheditor------
				$file = '../' . $tmp[0]; // 파일명
				$size = getimagesize($file);
				if ($size[2] == 1)
					$src = imagecreatefromgif($file);
				else if ($size[2] == 2)
					$src = imagecreatefromjpeg($file);
				else if ($size[2] == 3) 
					$src = imagecreatefrompng($file); 
				else
					continue;

				$rate = $thumb_width / $size[0];
				$height = (int)($size[1] * $rate);

				// 계산된 썸네일 이미지의 높이가 설정된 이미지의 높이보다 작다면
				if ($height < $thumb_height)
					// 계산된 이미지 높이로 복사본 이미지 생성
					$dst = imagecreatetruecolor($thumb_width, $height);
				else
					// 설정된 이미지 높이로 복사본 이미지 생성
					$dst = imagecreatetruecolor($thumb_width, $thumb_height);
				imagecopyresampled($dst, $src, 0, 0, 0, 0, $thumb_width, $height, $size[0], $size[1]);
				imagejpeg($dst, $thumb_path.'/'.$list[$i][wr_id], $thumb_quality);
				chmod($thumb_path.'/'.$list[$i][wr_id], 0606);
			}
	    }
	}
//이미지
    if (file_exists($thumb))
        $thumfile = "<img src='{$thumb}' border='0' width='{$thumb_width} height='{$thumb_width} \>";
		else
		//이미지가 없으면
		$thumfile="";
		//이미지가 아니네
        if(preg_match("/\.(swf|wma|asf)$/i","$file") && file_exists($file)){
		$thumfile = "<script>doc_write(flash_movie('$file', 'flash$i', '$thumb_width', '$thumb_height', 'transparent'));</script>"; 
	    }    
?>   
<tr height=29 align=center> 
<td>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
    <? if ($thumfile) {// 썸네일 ?>
    <td width=50 class="gray8s" style="padding:8px 15px 8px 5px;"><div style="border:1px solid #dddddd;"><a href='<?=$list[$i][href]?>'><?=$thumfile?></a></div></td>
	<? }?>
    <td align=left style="padding:8px 0px 10px 0px"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td>
            <? if ($is_checkbox) { ?><input type=checkbox name=chk_wr_id[] value="<?=$list[$i][wr_id]?>"><? } ?>
	<!--체크박스끝-->
        <? 
        echo $nobr_begin;
        echo $list[$i][reply];
        echo $list[$i][icon_reply];
        if ($is_category && $list[$i][ca_name] && !$sca) { 
            echo "<a href='{$list[$i][ca_name_href]}'><span class='gal2s'>[{$list[$i][ca_name]}]</span></a> ";
        }
        $style = "";
        if ($list[$i][is_notice]) $style = " style='font-weight:bold;'";

        echo "<a href='{$list[$i][href]}' $style><span style='font-family:NanumGothicWeb;font-size:16px;color:#333333;'><strong>";
        echo $list[$i][subject];
        echo "</strong></span></a>";
        ?>        </td>
            <td align="right"></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="8"></td>
      </tr>
      <tr>
        <td>
		<!--내용출력-->
        <span class="gray3">
        <a href='<?=$list[$i][href]?>'><span style='font-family:돋움,Tahoma;font-size:12px;color:#5B5B5B; font-weight:bold;'><?=cut_str(strip_tags($list[$i]['wr_1']),80)?></span></a>
        <!--내용출력끝--></span>        
        </td>
      </tr>
      <tr>
        <td height="4"></td>
      </tr>
      <tr>
        <td style="word-break:break-all; line-height:1.5em;">
		<!--내용출력-->
        <span class="gray3">
        <a href='<?=$list[$i][href]?>'><?=cut_str(str_replace("&nbsp;","",strip_tags($list[$i]['wr_content'])),$list_content)?></a>&nbsp;<span style='font:normal 10px tahoma; color:#bbbbbb;'> | </span><img src='<?=$latest_skin_path?>/img/icon_clock2.gif' border='0' /> <span style='font:normal 11px tahoma; color:#666666;'>
                  <?=date("Y-m-d H:i", strtotime($list[$i][wr_datetime]))?>
        <!--내용출력끝--></span>        
        </td>
      </tr>
      <!--<tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td>&nbsp;</td>
            <td align="right">
                <span style='font:bold 11px 돋움; color:#888888;'>
                  <?=$list[$i][wr_name]?>
                  </span>
                <span style='font:normal 10px tahoma; color:#bbbbbb;'> | </span><img src='<?=$latest_skin_path?>/img/icon_clock2.gif' border='0' /> <span style='font:normal 11px tahoma; color:#666666;'>
                  <?=date("Y-m-d H:i", strtotime($list[$i][wr_datetime]))?>
                </span></td>
          </tr>
        </table></td>
      </tr>-->
    </table></td>
</tr>
		</table>
		
		</td>

    <?/*?><td width=40><span style='font:normal 11px tahoma; color:#BABABA;'><?=$list[$i][last2]?></span></td><?*/?>
</tr>
<tr><td colspan=<?=$colspan?> height=1 bgcolor='#e8e8e8'></td></tr>
<?}?>
<? if (count($list) == 0) { echo "<tr><td colspan='$colspan' height=100 align=center>게시물이 없습니다.</td></tr>"; } ?>
</table>
